Subject: bug#49178: 28.0.50; make-auto-save-file-name connects to remote

From: Michael Albinus <[email-masked]>
Date: Thu, 24 Jun 2021 20:37:41 +0200

Sam Steingold <[email-masked]> writes:

> Hi Michael,

Hi Sam,

> The doc for `tramp-allow-unsafe-temporary-files ` says:
>>>> Whether root-owned auto-save or backup files can be written to "/tmp"
>
> 1. the file is not owned by root
> 2. `auto-save-list-file-prefix` is under my home, not /tmp

Hmm, yes. I've seen in my code that I try to determine the owner of the
file *prior* all other checks. I guess this can be rearranged, and/or
simplified by caches. This is what I meant when saying I'll work on
it. Pls give me some time for analysis (one or two days, my todo list is
quite large).

Best regards, Michael.